# Module `Sead`

Provides defensive behaviour to a set of SAM sites within a running Mission.

## Global(s)

SEAD |

## Type `SEAD`

SEAD.ClassName |
SEAD:EventShot(Event) | Detects if an SA site was shot with an anti radiation missile.
SEAD.New(table, self, SEADGroupPrefixes) | Creates the main object which is handling defensive actions for SA sites or moving SA vehicles.
SEAD.SEADGroupPrefixes |
SEAD.TargetSkill |

## Global(s)

#SEAD SEAD

## Type `Sead`

The SEAD class

### Field(s)

#string SEAD.ClassName

SEAD:EventShot(Event)

  Detects if an SA site was shot with an anti radiation missile.

  In this case, take evasive actions based on the skill level set within the ME.

  ### Parameter

  - `Event` :

SEAD.New(table, self, SEADGroupPrefixes)

  Creates the main object which is handling defensive actions for SA sites or moving SA vehicles.

  When an anti radiation missile is fired (KH-58, KH-31P, KH-31A, KH-25MPU, HARM missiles), the SA will shut down their radars and will take evasive actions... Chances are big that the missile will miss.

  ### Parameters

  - `table` : string,...}|string SEADGroupPrefixes which is a table of Prefixes of the SA Groups in the DCSRTE on which evasive actions need to be taken.

  - `self` :

  - `SEADGroupPrefixes` :

  ### Return value

  SEAD

  ### Usage:

      -- CCCP SEAD Defenses
      -- Defends the Russian SA installations from SEAD attacks.
      SEAD_RU_SAM_Defenses = SEAD:New( { 'RU SA-6 Kub', 'RU SA-6 Defenses', 'RU MI-26 Troops', 'RU Attack Gori' } )

SEAD.SEADGroupPrefixes

SEAD.TargetSkill